#include <16F876A.h>
#device ICD=TRUE
#device adc=10

#FUSES NOWDT                    //No Watch Dog Timer
#FUSES HS                       //High speed Osc (> 4mhz for PCM/PCH) (>10mhz for PCD)
#FUSES PUT                      //Power Up Timer
#FUSES NOPROTECT                //Code not protected from reading
#FUSES DEBUG                    //Debug mode for use with ICD
#FUSES BROWNOUT                 //Reset when brownout detected
#FUSES NOLVP                    //No low voltage prgming, B3(PIC16) or B5(PIC18) used for I/O
#FUSES NOCPD                    //No EE protection
#FUSES NOWRT                    //Program memory not write protected

#use delay(clock=20000000)
#define Up_sw  PIN_A4
#define Down_sw   PIN_A5
#define AC_sync_pluse   PIN_B0
#define AC_SSR_sw PIN_B5
#define LCD_RS    PIN_C2
#define LCD_E     PIN_C3
#define LCD_DB4   PIN_C4
#define LCD_DB5   PIN_C5
#define LCD_DB6   PIN_C6
#define LCD_DB7   PIN_C7

#byte   PORTA = 0x05
#byte   PORTB = 0x06
#byte   PORTC = 0x07
#byte   TRISA = 0x85
#byte   TRISA = 0x86
#byte   TRISC = 0x87
